@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;700&display=swap');

* {
    margin: 0;
    padding: 0;
    font-family: poppins, sans-serif;
    scroll-behavior: smooth;
}

.header {
    min-height: 100vh;
    width: 100%;
    background-image: linear-gradient(rgba(4, 9, 30, 0.7), rgba(4, 9, 30, 0.7)), url("../assets/kid-museum.jpg");
    background-position: center;
    background-size: cover;
    position: relative;

}

nav {
    display: flex;
    padding: 2% 6%;
    justify-content: space-between;
    align-items: center;
}

nav img {
    width: 150px;
}

.nav-links {
    flex: 1;
    text-align: right;
}

.nav-links ul li {
    list-style: none;
    display: inline-block;
    padding: 8px 12px;
    position: relative;
}

.nav-links ul li a {
    color: #fff;
    text-decoration: none;
    font-size: 18px;
}

.nav-links ul li::after {
    content: "";
    width: 0;
    height: 2px;
    background: #f5f58d;
    display: block;
    margin: auto;
    transition: 500ms;
}

.nav-links ul li:hover::after {
    width: 100%;
}

.text-box {
    width: 90%;
    color: white;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    text-align: center;
}

.text-box h1 {
    font-size: 62px;
}

.text-box p {
    margin: 10px 0 40px;
    font-size: 14px;
}

.h1-science {
    color: #f5f58d;
}

.h1-tech {
    color: #f5f58d;
}

.hero-btn {
    display: inline-block;
    text-decoration: none;
    color: white;
    border: 1px solid #ffffff;
    padding: 12px 34px;
    font-size: 13px;
    background: transparent;
    position: relative;
    cursor: pointer;
    border-radius: 8px;
}

.hero-btn:hover {
    border: 1px solid #f5f58d;
    background: #f5f58d;
    transition: 1s;
    color: #575730;
}

nav .fa-solid {
    display: none;

}

@media (max-width: 768px) {
    .text-box h1 {
        font-size: 21px;
    }

    .nav-links ul li {
        display: block;
    }

    .nav-links {
        position: fixed;
        background: #3d3d23;
        height: 100vh;
        width: 200px;
        top: 0;
        right: -200px;
        text-align: left;
        z-index: 2;
        transition: 1s;
    }

    nav .fa-solid {
        display: block;
        color: white;
        margin: 10px;
        font-size: 20px;
        cursor: pointer;
    }

    .nav-links ul {
        padding: 30px;
    }

    .row {
        flex-direction: column;
    }

    .contact h2 {
        font-size: 21px;
    }
}

.playground {
    width: 80%;
    margin: auto;
    text-align: center;
    padding-top: 100px;
    font-family: poppins, sans-serif;
}

.playground h2 {
    font-size: 36px;
    font-weight: 700;
}

.playground p {
    color: #777;
    font-size: 14px;
    font-weight: 400;
    line-height: 22px;
    padding: 10px;
}

.row {
    margin-top: 5%;
    display: flex;
    justify-content: space-between;
}

.playground-colum {
    flex-basis: 31%;
    background: #f3f3ba;
    border-radius: 10px;
    margin-bottom: 5%;
    padding: 20px 12px;
    box-sizing: border-box;
}

.playground-colum:hover {
    box-shadow: 0 0 20px 0 rgba(0, 0, 0, 0.2);
}

.h-playground {
    color: #727240;
}

.active {
    width: 80%;
    margin: auto;
    text-align: center;
    padding-top: 50px;
}

.active h2 {
    font-size: 36px;
}

.active-colum {
    flex-basis: 32%;
    border-radius: 10px;
    margin-bottom: 30px;
    position: relative;
    overflow: hidden;
}

.active-colum img {
    width: 100%;
    display: block;
}

.layer {
    background: transparent;
    height: 100%;
    width: 100%;
    position: absolute;
    top: 0;
    left: 0;
    transition: 0.5s;
}

.layer:hover {
    background: rgba(201, 155, 1, 0.7);
    cursor: pointer;
}

.layer h3 {
    width: 100%;
    font-weight: 700;
    color: white;
    font-size: 26px;
    bottom: 0;
    left: 50%;
    transform: translateX(-50%);
    position: absolute;
    opacity: 0;
    transition: 0.5s;
}

.layer:hover h3 {
    bottom: 45%;
    opacity: 1;
    color: black;
}

.location {
    width: 80%;
    margin: auto;
    text-align: center;
    padding-top: 100px;
}

.location-colum {
    flex-basis: 31%;
    border-radius: 10px;
    margin-bottom: 5%;
    text-align: left;
}

.location-colum img {
    width: 100%;
    border-radius: 10px;
}

.location-colum p {
    padding: 0;
}

.location-colum h3 {
    margin-top: 16px;
    margin-bottom: 15px;
    text-align: left;
}

.location h2 {
    font-size: 36px;
}

.contact {
    margin: 100px auto;
    width: 80%;
    background-image: linear-gradient(rgba(0, 0, 0, 0.7), rgba(0, 0, 0, 0.7)), url("../assets/tech-kid3.jpg");
    background-position: center;
    background-size: cover;
    border-radius: 10px;
    text-align: center;
    padding: 100px 0;
}

.contact h2 {
    color: white;
    margin-bottom: 40px;
    padding: 0;
}

.sub-header {
    height: 50vh;
    width: 100%;
    background-image: linear-gradient(rgba(4, 9, 30, 0.7), rgba(4, 9, 30, 0.7)), url("../assets/about1.jpg");
    background-position: center;
    background-size: cover;
    text-align: center;
}

.sub-header h1 {
    margin-top: 100px;
    font-size: 32px;
    color: white;
}

.about-us {
    width: 80%;
    margin: auto;
    padding-top: 80px;
    padding-bottom: 50px;
}

.about-colum {
    flex-basis: 48%;
    padding: 30px 2px;
}

.about-colum img {
    border-radius: 10px;
    width: 100%;
}

.about-colum h1 {
    padding-top: 0;
}

.about-colum p {
    padding: 15px 0 25px;
}

.yellow-btn {
    border: 1px solid #3d3d23;
    background: transparent;
    color: #3d3d23;
}

.yellow-btn:hover {
    color: rgb(215, 183, 111);
    border: 1px solid rgba(236, 236, 132, 0.82);
    transition: 0.7s;
}

.fa-location-dot {
    font-size: 36px;
    margin-top: 26px;
}

footer {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-top: 80px;
    width: 100%;
    background-color: #f5f58d;
    color: white;
}

footer ul {
    margin-top: 48px;
    gap: 3rem;
    display: flex;
    list-style-type: none;
    font-size: 24px;
    color: #3d3d23;
}

.footer-icons {
    display: flex;
    flex-direction: row;
    gap: 3rem;
    margin-bottom: 0.5rem;
    margin-top: 1rem;
    text-decoration: none;
    font-size: 34px;
}

.footer-copyright {
    margin-top: 1.5rem;
    margin-bottom: 1rem;
    font-size: 24px;
    font-weight: bold;
    color: #3d3d23;
}

.icon-fb {
    color: #3B5998;
}

.icon-tw {
    color: #1DA1F2;
}

.icon-ig {
    color: #3d3d23;
}

a {
    text-decoration: none;
    color: inherit;
}

.footer-nav ul li:hover {
    color: #bebe68;
    cursor: pointer;
}

.footer-icons-mobile {
    display: none;
}

@media (max-width: 768px) {
    footer ul {
        font-size: 18px;
        gap: 1rem;
    }

    .footer-copyright {
        margin-top: 1rem;
        font-size: 16px;
    }

    .footer-icons {
        font-size: 21px;
        gap: 2rem;
    }
}

.location {
    width: 80%;
    margin: auto;
    padding: 80px 0;
}

.location iframe {
    width: 100%;
}

.contact-us {
    width: 80%;
    margin: auto;
}

.contact-col {
    flex-basis: 48%;
    margin-bottom: 40px;
    margin-top: 50px;
}

.contact-col div {
    display: flex;
    align-items: center;
    margin-bottom: 40%;
}

.contact-col div .fa {
    font-size: 28px;
    color: #3d3d23;
    gap: 10px;
    margin-right: 30px;
}

.contact-col div p {
    padding: 0;
}

.contact-col div h5 {
    font-size: 20px;
    margin-bottom: 5px;
    color: #555;
    font-weight: 400;

}

.contact-col input, .contact-col textarea {
    width: 100%;
    padding: 15px;
    margin-bottom: 18px;
    outline: none;
    border: 1px solid #ccc;
    box-sizing: border-box;
}

.playground-offer {
    width: 80%;
    margin: auto;
    padding: 60px 0;
}

.playground-left {
    flex-basis: 65%;
}

.playground-left img {
    width: 100%;
}

.playground-left h2 {
    color: #3d3d23;
    font-weight: 600;
    margin: 30px 0;
}

.playground-left p {
    color: #999;
}

.playground-right {
    flex-basis: 32%;
    margin-top: 16px;
}

.playground-right h3 {
    background: #3d3d23;
    color: white;
    padding: 7px 0;
    font-size: 16px;
    margin-bottom: 20px;
    text-align: center;
}

.playground-right div {
    display: flex;
    align-items: center;
    justify-content: space-between;
    color: #555;
    padding: 8px;
    box-sizing: border-box;
}

.third-header {
    height: 50vh;
    width: 100%;
    background-image: linear-gradient(rgba(4, 9, 30, 0.7), rgba(4, 9, 30, 0.7)), url("../assets/kids-museum2.jpg");
    background-position: center;
    background-size: cover;
    text-align: center;
    font-size: 26px;
    color: #f3f3ba;
}

.third-header h1 {
    margin-top: 100px;
}

.about-img {
    height: 75%;
}